﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;

using System.Data;
using MySql.Data.MySqlClient;

namespace diplomaDL
{
    /// <summary>
    /// Summary description for ws
    /// </summary>
    [WebService(Namespace = "http://tempuri.org/")]
    [WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
    [System.ComponentModel.ToolboxItem(false)]
    // To allow this Web Service to be called from script, using ASP.NET AJAX, uncomment the following line. 
    // [System.Web.Script.Services.ScriptService]
    public class ws : System.Web.Services.WebService
    {
        private string connectionString = "Server=164.8.230.37;Database=diplomaDL;Uid=slownet;Pwd=jt2014";
        private MySqlConnection mySqlConnection;
        private MySqlCommand mySqlCommand;
        private string vrniPodatek;

        #region preveriPodatke
        // preverim ali so v bazi podatki
        private void preveriPodatke()
        {
            this.mySqlConnection = new MySqlConnection(this.connectionString);
            this.mySqlConnection.Open();

            try
            {
                this.mySqlCommand = this.mySqlConnection.CreateCommand();
                this.mySqlCommand.CommandText = "SELECT COUNT(*) FROM podatki";

                if (Convert.ToInt32(this.mySqlCommand.ExecuteScalar()) == 0)
                {
                    this.mySqlCommand = this.mySqlConnection.CreateCommand();
                    this.mySqlCommand.CommandText = "INSERT INTO podatki (polje, casBeli, casCrni, igralecNaVrsti) VALUES (@polje, @casBeli, @casCrni, @igralecNaVrsti)";
                    this.mySqlCommand.Parameters.AddWithValue("@polje", "\"\"");
                    this.mySqlCommand.Parameters.AddWithValue("@casBeli", "\"\"");
                    this.mySqlCommand.Parameters.AddWithValue("@casCrni", "\"\"");
                    this.mySqlCommand.Parameters.AddWithValue("@igralecNaVrsti", "\"\"");
                    this.mySqlCommand.ExecuteNonQuery();
                }
            }
            catch (Exception) { }
            finally
            {
                if (this.mySqlConnection.State == ConnectionState.Open)
                    this.mySqlConnection.Close();
            }
        }
        #endregion

        #region setPolje
        // shranimo polje, ki je v obliki stringa
        [WebMethod]
        public void setPolje(string polje)
        {
            // funkcija preveri ali so kakšni podatki že v bazi, da se lahko izvrši UPDATE stavek
            this.preveriPodatke();

            // MySqlConnection poskrbi za povezavo s podatkovno zbirko, zato kot parameter konkruktorja, dodamo podatke o bazi
            this.mySqlConnection = new MySqlConnection(this.connectionString);
            // potrebno je še odprti podatkovno bazo, da z njo lahko operiramo
            this.mySqlConnection.Open();

            try
            {
                // ustvarimo komando, ki se naj izvrši
                this.mySqlCommand = this.mySqlConnection.CreateCommand();
                // UPDATE - posodobitev v tabelo podatki, stolpca polje, kjer dodamo vrednost, ki jo prejmemo kot argument funkcije
                this.mySqlCommand.CommandText = "UPDATE podatki SET polje = @polje";
                this.mySqlCommand.Parameters.AddWithValue("@polje", polje);
                // na koncu potrdimo oziroma izvedemo še željeno poizvedbo (query)
                this.mySqlCommand.ExecuteNonQuery();
            }
            catch (Exception) { }
            finally
            {
                // finally se izvrši v vsakem primeru, skrbi pa, da če je povezava odprta, jo zapremo
                if (this.mySqlConnection.State == ConnectionState.Open)
                    this.mySqlConnection.Close();
            }
        }
        #endregion

        #region setPodatki
        // shranimo casBeli, casCrni, igralecNaVrsti - vsi podatki so tipa string
        [WebMethod]
        public void setPodatki(string casBeli, string casCrni, string igralecNaVrsti)
        {
            this.preveriPodatke();

            this.mySqlConnection = new MySqlConnection(this.connectionString);
            this.mySqlConnection.Open();

            try
            {
                this.mySqlCommand = this.mySqlConnection.CreateCommand();
                this.mySqlCommand.CommandText = "UPDATE podatki SET casBeli = @casBeli, casCrni = @casCrni, igralecNaVrsti = @igralecNaVrsti";
                this.mySqlCommand.Parameters.AddWithValue("@casBeli", casBeli);
                this.mySqlCommand.Parameters.AddWithValue("@casCrni", casCrni);
                this.mySqlCommand.Parameters.AddWithValue("@igralecNaVrsti", igralecNaVrsti);
                this.mySqlCommand.ExecuteNonQuery();
            }
            catch (Exception) { }
            finally
            {
                if (this.mySqlConnection.State == ConnectionState.Open)
                    this.mySqlConnection.Close();
            }
        }
        #endregion

        #region getPolje
        // dobim podatek iz baze (polje)
        [WebMethod]
        public string getPolje()
        {
            this.mySqlConnection = new MySqlConnection(this.connectionString);
            this.mySqlConnection.Open();

            this.vrniPodatek = "";

            try
            {
                this.mySqlCommand = this.mySqlConnection.CreateCommand();
                this.mySqlCommand.CommandText = "SELECT polje FROM podatki";
                this.vrniPodatek = this.mySqlCommand.ExecuteScalar().ToString();
            }
            catch (Exception) { }
            finally
            {
                if (this.mySqlConnection.State == ConnectionState.Open)
                    this.mySqlConnection.Close();
            }

            return this.vrniPodatek;
        }
        #endregion

        #region getPodatekCasBeli
        // dobim podatek iz baze (casBeli)
        [WebMethod]
        public string getPodatekCasBeli()
        {
            this.mySqlConnection = new MySqlConnection(this.connectionString);
            this.mySqlConnection.Open();

            this.vrniPodatek = "";

            try
            {
                this.mySqlCommand = this.mySqlConnection.CreateCommand();
                this.mySqlCommand.CommandText = "SELECT casBeli FROM podatki";
                this.vrniPodatek = this.mySqlCommand.ExecuteScalar().ToString();
            }
            catch (Exception) { }
            finally
            {
                if (this.mySqlConnection.State == ConnectionState.Open)
                    this.mySqlConnection.Close();
            }

            return this.vrniPodatek;
        }
        #endregion

        #region getPodatekCasCrni
        // dobim podatek iz baze (casCrni)
        [WebMethod]
        public string getPodatekCasCrni()
        {
            this.mySqlConnection = new MySqlConnection(this.connectionString);
            this.mySqlConnection.Open();

            this.vrniPodatek = "";

            try
            {
                this.mySqlCommand = this.mySqlConnection.CreateCommand();
                this.mySqlCommand.CommandText = "SELECT casCrni FROM podatki";
                this.vrniPodatek = this.mySqlCommand.ExecuteScalar().ToString();
            }
            catch (Exception) { }
            finally
            {
                if (this.mySqlConnection.State == ConnectionState.Open)
                    this.mySqlConnection.Close();
            }

            return this.vrniPodatek;
        }
        #endregion

        #region getPodatekIgralecNaVrsti
        // dobim podatek iz baze (igralecNaVrsti)
        [WebMethod]
        public string getPodatekIgralecNaVrsti()
        {
            this.mySqlConnection = new MySqlConnection(this.connectionString);
            this.mySqlConnection.Open();

            this.vrniPodatek = "";

            try
            {
                this.mySqlCommand = this.mySqlConnection.CreateCommand();
                this.mySqlCommand.CommandText = "SELECT igralecNaVrsti FROM podatki";
                this.vrniPodatek = this.mySqlCommand.ExecuteScalar().ToString();
            }
            catch (Exception) { }
            finally
            {
                if (this.mySqlConnection.State == ConnectionState.Open)
                    this.mySqlConnection.Close();
            }

            return this.vrniPodatek;
        }
        #endregion
    }
}
